//---------------------------------------------------------------------------
#ifndef TestH
#define TestH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "nsShareLock.hpp"
#include <vcl\Menus.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmTester : public TForm
{
__published:	// IDE-managed Components
  TnsShareLock *ShareLock;
  TMainMenu *MainMenu1;
  TMenuItem *mnuMain_File;
  TMenuItem *mnuMain_File_Exit;
  TMenuItem *mnuMain_Help;
  TMenuItem *mnuMain_Help_Register;
  TMenuItem *mnuMain_Help_About;
  TSpeedButton *sbtnStatus;
  TLabel *lblTryNumber;
  TLabel *lblTryOut;
  TBevel *bvlSpacer;
  TLabel *lblDaysLeft;
  TLabel *lblDaysLeft_Out;
  TLabel *lblExpirationDate;
  TLabel *lblEventsFired;
  TLabel *lblTrialLength;
  TLabel *lblGracePeriod;
  TLabel *lblExpireDate_Out;
  TLabel *lblTrialLength_Out;
  TLabel *lblGracePeriod_Out;
  TLabel *lblGraceExpire_Out;
  TLabel *lblGraceExpiration;
  TLabel *lblProtectionType;
  TLabel *lblProtectionType_Out;
  TLabel *lblProductName;
  TLabel *lblProductName_Out;
  TListBox *lbStatus;
  void __fastcall DoStatus();
  void __fastcall GiveOneChanceToRegister();
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall sbtnStatusClick(TObject *Sender);
  void __fastcall ShareLockClockMovedBack(TObject *Sender);
  void __fastcall ShareLockExceededTries(TObject *Sender);
  void __fastcall ShareLockUnlocked(TObject *Sender);
  void __fastcall ShareLockRegistered(TObject *Sender);
  void __fastcall ShareLockRegistryModified(TObject *Sender);
  void __fastcall ShareLockInitialRun(TObject *Sender);
  void __fastcall ShareLockInvalidUnlockCodeEntered(TObject *Sender);
  void __fastcall ShareLockTrialExpired(TObject *Sender);
  void __fastcall ShareLockWithinGracePeriod(TObject *Sender);
  void __fastcall ShareLockWithinTrialPeriod(TObject *Sender);
  void __fastcall ShareLockCannotOpenRegistry(TObject *Sender);
  void __fastcall ShareLockExtended(int ExtensionLength);
  void __fastcall ShareLockTriedToExtendAgain(TObject *Sender);
  
  void __fastcall mnuMain_Help_AboutClick(TObject *Sender);
  void __fastcall mnuMain_Help_RegisterClick(TObject *Sender);
  void __fastcall mnuMain_File_ExitClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool fRegistered;
	__fastcall TfrmTester(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmTester *frmTester;
//---------------------------------------------------------------------------
#endif
